import { Dialog, showDialog } from '@jupyterlab/apputils';
import { LabIcon } from '@jupyterlab/ui-components';
import * as React from 'react';
import swanSvgstr from '../style/icons/logo-swan.svg';
const swanIcon = new LabIcon({ name: 'ui-components:swan', svgstr: swanSvgstr });
function swanDialog() {
    // Create the header of the about dialog
    let title = (React.createElement("span", { className: "jp-About-header" },
        React.createElement(swanIcon.react, { margin: "7px 9.5px", height: "auto", width: "100px" }),
        React.createElement("span", { className: "jp-AboutSWAN-name" },
            React.createElement("h1", null, "SWAN"),
            React.createElement("span", { className: "jp-About-copyright" },
                "\u00A9 CERN 2016-2020.",
                React.createElement("br", null),
                "All rights reserved."))));
    let body = (React.createElement("div", { className: "jp-AboutSWAN-body" },
        React.createElement("span", { className: "jp-About-externalLinks" },
            React.createElement("a", { href: "https://cern.ch/swan/", target: "_blank", rel: "noopener", className: "jp-Button-flat" }, "Home Page"),
            React.createElement("a", { href: "https://github.com/swan-cern", target: "_blank", rel: "noopener", className: "jp-Button-flat" }, "Github"))));
    return showDialog({
        title,
        body,
        buttons: [
            Dialog.createButton({
                label: 'Dismiss',
                className: 'jp-About-button jp-mod-reject jp-mod-styled'
            })
        ]
    });
}
export default swanDialog;
